# Partie fronted: application Angular

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 13.3.4.

## Introduction
Dans cette partie fronted, nous avons utilisé le pattern **NgRx** d'Angular et le framework Primeng.

- Le pattern NgRx met en place des modules nécessaires pour la gestion de différents états de l'application dans le store.
    - La documentation [pattern NgRx](https://ngrx.io/docs) présente en détail ces modules pour mettre en place le pattern NgRx.
- Pour les différents styles graphiques, Angular possède son propre framework Primeng.
    - Pour en savoir plus, la documentation [Primeng](https://www.primefaces.org/primeng/setup)


## Les dépendances

1. Pour la mise en place du pattern NgRx d'Angular, les modules installés:
    - store
    - store-devtools
    - effects
2. Pour la gestion des styles:
    - Primeng. 

3. Toutes ces dépendances et les autres dépendances nécessaires pour exécuter l'application sont recensées dans le fichier **package.json** à la racine du répertoire de l'application

## Lancement de l'application frontend
1. Récupérer le repository : `git clone` https://gitea.natan.fr/placidenduwayo/projects-management-microservices-frontend.git
2. Néttoyer l'application et fixer toutes les vulnérabilités en exécutant la ligne de commande `npm audit fix`
    - Cette ligne de commande va télécharger puis installer dans le package **node_modules** toutes les dépendances nécessaires pour l'application

3. Exécuter l'application avec la ligne de commande :`npm start` ou `ng serve`
4. Aller à la page d'accueil http:localhost:4200:
    ![page de présentation de l'application](https://drive.google.com/file/d/1CfXun5Sov_q5f045fJGCv0lk2XUq7_DN/view?usp=sharing)
