import { Priority } from './project.priority';

import { Company } from './../company/company.model';
import { AppUser } from '../user/user.model';
import { ProjState } from './project.state';

export class Project{
  projectID!: number;
  projectName!: string;
  priority!: Priority;
  createdDate!: string;
  companyID!: number;
  company!: Company;
  description!: string;
  userID!: number;
  user!: AppUser;
  projState!: ProjState;
}
